diff -Nru audiofile-0.2.6/libaudiofile/modules.c audiofile-0.2.7/libaudiofile/modules.c
--- audiofile-0.2.6/libaudiofile/modules.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/modules.c	2010-03-17 10:10:38.000000000 +0100
@@ -56,15 +56,15 @@
 
 #define NULLMODULEPARAM
 
-extern _PCMInfo _af_default_signed_integer_pcm_mappings[];
-extern _PCMInfo _af_default_unsigned_integer_pcm_mappings[];
-extern _PCMInfo _af_default_float_pcm_mapping;
-extern _PCMInfo _af_default_double_pcm_mapping;
+extern const _PCMInfo _af_default_signed_integer_pcm_mappings[];
+extern const _PCMInfo _af_default_unsigned_integer_pcm_mappings[];
+extern const _PCMInfo _af_default_float_pcm_mapping;
+extern const _PCMInfo _af_default_double_pcm_mapping;
 
 extern _CompressionUnit _af_compression[];
 
 /* Define rebuffering modules. */
-extern _AFmodule int2rebufferv2f, int2rebufferf2v;
+extern const _AFmodule int2rebufferv2f, int2rebufferf2v;
 
 /*
 	module utility routines
@@ -74,7 +74,7 @@
 	_AFnewmodinst creates a module instance from a module.
 	It returns a structure, not a pointer to a structure.
 */
-_AFmoduleinst _AFnewmodinst (_AFmodule *mod)
+_AFmoduleinst _AFnewmodinst (const _AFmodule *mod)
 {
 	_AFmoduleinst ret;
 
@@ -82,8 +82,8 @@
 	ret.modspec = NULL;
 	ret.u.pull.source = NULL;
 	ret.mod = mod;
-	ret.free_on_close = AF_FALSE;
-	ret.valid = AF_FALSE;
+	ret.free_on_close = false;
+	ret.valid = false;
 
 	return(ret);
 }
@@ -227,7 +227,7 @@
 	desc;\
 }\
 \
-static _AFmodule name =\
+static const _AFmodule name =\
 { \
 	#name,\
 	name##describe, \
@@ -403,7 +403,7 @@
 /*
 	initpcmmod
 */
-static _AFmoduleinst initpcmmod (_AFmodule *mod,
+static _AFmoduleinst initpcmmod (const _AFmodule *mod,
 	_PCMInfo *input_mapping, _PCMInfo *output_mapping)
 {
 	_AFmoduleinst ret = _AFnewmodinst(mod);
@@ -658,7 +658,7 @@
 
 	Internally, the module holds a copy of the matrix in which the
 	rows correspond to the output format, and the columns correspond
-	to the input format (therefore, if reading==AF_FALSE, the matrix
+	to the input format (therefore, if reading==false, the matrix
 	is transposed as it is copied).
 */
 
@@ -727,7 +727,7 @@
 	}\
 }\
 \
-static _AFmodule name =\
+static const _AFmodule name =\
 { \
 	#name, \
 	channelchangedescribe, \
@@ -761,7 +761,7 @@
 /*
 	initchannelchange
 */
-static _AFmoduleinst initchannelchange (_AFmodule *mod,
+static _AFmoduleinst initchannelchange (const _AFmodule *mod,
 	double *matrix, _PCMInfo *outpcm,
 	int inchannels, int outchannels,
 	bool reading)
@@ -784,7 +784,7 @@
 	*/
 	if (!matrix)
 	{
-		bool special=AF_FALSE;
+		bool special=false;
 
 		/* Handle many common special cases. */
 
@@ -792,37 +792,37 @@
 		{
 			static double m[]={1,1};
 			matrix=m;
-			special=AF_TRUE;
+			special=true;
 		}
 		else if (inchannels==1 && outchannels==4)
 		{
 			static double m[]={1,1,0,0};
 			matrix=m;
-			special=AF_TRUE;
+			special=true;
 		}
 		else if (inchannels==2 && outchannels==1)
 		{
 			static double m[]={.5,.5};
 			matrix=m;
-			special=AF_TRUE;
+			special=true;
 		}
 		else if (inchannels==2 && outchannels==4)
 		{
 			static double m[]={1,0,0,1,0,0,0,0};
 			matrix=m;
-			special=AF_TRUE;
+			special=true;
 		}
 		else if (inchannels==4 && outchannels==1)
 		{
 			static double m[]={.5,.5,.5,.5};
 			matrix=m;
-			special=AF_TRUE;
+			special=true;
 		}
 		else if (inchannels==4 && outchannels==2)
 		{
 			static double m[]={1,0,1,0,0,1,0,1};
 			matrix=m;
-			special=AF_TRUE;
+			special=true;
 		}
 		else
 		{
@@ -883,7 +883,7 @@
 static void addmod (current_state *current, _AFmoduleinst modinst)
 {
 	*(current->modinst) = modinst;
-	current->modinst->valid = AF_TRUE; /* at this point mod must be valid */
+	current->modinst->valid = true; /* at this point mod must be valid */
 
 	/* Assign the new module instance an input and an output chunk. */
 
@@ -943,8 +943,8 @@
 
 	/* Invalidate everything. */
 
-	track->ms.filemodinst.valid = AF_FALSE;
-	track->ms.filemod_rebufferinst.valid = AF_FALSE;
+	track->ms.filemodinst.valid = false;
+	track->ms.filemod_rebufferinst.valid = false;
 
 	/*
 		Seek to beginning of sound data in the track.
@@ -965,7 +965,7 @@
 
 	/* Create file read/write module. */
 
-	track->filemodhappy = AF_TRUE;
+	track->filemodhappy = true;
 
 	if (h->access == _AF_READ_ACCESS)
 		track->ms.filemodinst =
@@ -979,7 +979,7 @@
 	if (!track->filemodhappy)
 		return AF_FAIL;
 
-	track->ms.filemodinst.valid = AF_TRUE;
+	track->ms.filemodinst.valid = true;
 
 	/*
 		WHEN DOES THE FILE GET LSEEKED ?
@@ -1099,18 +1099,18 @@
 				_af_initint2rebufferf2v(chunkframes*track->f.channelCount,
 					compunit->multiple_of);
 
-		track->ms.filemod_rebufferinst.valid = AF_TRUE;
+		track->ms.filemod_rebufferinst.valid = true;
 	}
 	else
-		track->ms.filemod_rebufferinst.valid = AF_FALSE;
+		track->ms.filemod_rebufferinst.valid = false;
 
 	/*
 		These modules should not get freed until the file handle
 		is destroyed (i.e. the file is closed).
 	*/
 
-	track->ms.filemodinst.free_on_close = AF_TRUE;
-	track->ms.filemod_rebufferinst.free_on_close = AF_TRUE;
+	track->ms.filemodinst.free_on_close = true;
+	track->ms.filemod_rebufferinst.free_on_close = true;
 
 	return AF_SUCCEED;
 }
@@ -1165,13 +1165,13 @@
 		track->ms.filemodinst.mod->free)
 		(*track->ms.filemodinst.mod->free)(&track->ms.filemodinst);
 
-	track->ms.filemodinst.valid = AF_FALSE;
+	track->ms.filemodinst.valid = false;
 
 	if (track->ms.filemod_rebufferinst.valid &&
 		track->ms.filemod_rebufferinst.mod->free)
 		(*track->ms.filemod_rebufferinst.mod->free)(&track->ms.filemod_rebufferinst);
 
-	track->ms.filemod_rebufferinst.valid = AF_FALSE;
+	track->ms.filemod_rebufferinst.valid = false;
 
 	return AF_SUCCEED;
 }
@@ -1199,7 +1199,7 @@
 	*inratep = inrate;
 	*outratep = outrate;
 
-	if (instandard && outstandard) return AF_TRUE;
+	if (instandard && outstandard) return true;
 	if (incodec && outstandard && outrate != 8000.00)
 	{
 		_af_error(AF_WARNING_CODEC_RATE,
@@ -1207,7 +1207,7 @@
 			"to allow high-quality rate conversion",
 			inrate);
 		*inratep = 8000.00;
-		return AF_TRUE;
+		return true;
 	}
 	if (instandard && inrate != 8000.00 && outcodec)
 	{
@@ -1216,7 +1216,7 @@
 			"to allow high-quality rate conversion",
 			outrate);
 		*outratep = 8000.00;
-		return AF_TRUE;
+		return true;
 	}
 
 	if (!instandard && !outstandard)
@@ -1238,7 +1238,7 @@
 			"output file may contain audible artifacts",
 			outrate);
 
-	return AF_FALSE;
+	return false;
 }
 
 /*
@@ -1249,8 +1249,8 @@
 static void initrateconvertmods (bool reading, _Track *track)
 {
 	/* no rate conversion initially */
-	track->ms.rateconvertinst.valid = AF_FALSE;
-	track->ms.rateconvert_rebufferinst.valid = AF_FALSE;
+	track->ms.rateconvertinst.valid = false;
+	track->ms.rateconvert_rebufferinst.valid = false;
 }
 
 static void disposerateconvertmods (_Track *);
@@ -1271,7 +1271,7 @@
 	if (inrate == outrate)
 	{
 		disposerateconvertmods(track);
-		track->ratecvt_filter_params_set = AF_FALSE; /* XXX HACK */
+		track->ratecvt_filter_params_set = false; /* XXX HACK */
 	}
 	else
 	{
@@ -1288,7 +1288,7 @@
 			bool usingAP = useAP(inrate, outrate, &inrate, &outrate);
 
 			disposerateconvertmods(track);
-			track->ratecvt_filter_params_set = AF_FALSE; /* HACK */
+			track->ratecvt_filter_params_set = false; /* HACK */
 
 			if (usingAP)
 			{
@@ -1300,13 +1300,13 @@
 
 				if (!reading)
 					track->ms.rateconvert_rebufferinst =
-						initfloatrebufferv2f(inframes*nchannels, AF_FALSE);
+						initfloatrebufferv2f(inframes*nchannels, false);
 				else
 					track->ms.rateconvert_rebufferinst =
-						initfloatrebufferf2v(outframes*nchannels, AF_FALSE);
+						initfloatrebufferf2v(outframes*nchannels, false);
 
-				track->ms.rateconvertinst.valid = AF_TRUE;
-				track->ms.rateconvert_rebufferinst.valid = AF_TRUE;
+				track->ms.rateconvertinst.valid = true;
+				track->ms.rateconvert_rebufferinst.valid = true;
 			}
 			else
 			{
@@ -1314,15 +1314,15 @@
 					inrate, outrate,
 					nchannels, reading);
 
-				track->ms.rateconvertinst.valid = AF_TRUE;
-				track->ms.rateconvert_rebufferinst.valid = AF_FALSE;
+				track->ms.rateconvertinst.valid = true;
+				track->ms.rateconvert_rebufferinst.valid = false;
 			}
 
 			track->ms.rateconvert_inrate = inrate;
 			track->ms.rateconvert_outrate = outrate;
 
-			track->ms.rateconvertinst.free_on_close = AF_TRUE;
-			track->ms.rateconvert_rebufferinst.free_on_close = AF_TRUE;
+			track->ms.rateconvertinst.free_on_close = true;
+			track->ms.rateconvert_rebufferinst.free_on_close = true;
 		}
 
 		/* Add the rate conversion modules. */
@@ -1354,7 +1354,7 @@
 			(&track->ms.rateconvertinst);
 	}
 
-	track->ms.rateconvertinst.valid = AF_FALSE;
+	track->ms.rateconvertinst.valid = false;
 
 	if (track->ms.rateconvert_rebufferinst.valid &&
 		track->ms.rateconvert_rebufferinst.mod->free)
@@ -1363,7 +1363,7 @@
 			(&track->ms.rateconvert_rebufferinst);
 	}
 
-	track->ms.rateconvert_rebufferinst.valid = AF_FALSE;
+	track->ms.rateconvert_rebufferinst.valid = false;
 }
 #endif /* XXXmpruett rate conversion is disabled for now */
 
@@ -1371,21 +1371,21 @@
 
 /* The stuff in this section is used by arrangemodules(). */
 
-static _AFmodule *unsigned2signed[5] =
+static const _AFmodule * const unsigned2signed[5] =
 {
 	NULL,
 	&unsigned2signed1, &unsigned2signed2,
 	&unsigned2signed3, &unsigned2signed4
 };
 
-static _AFmodule *signed2unsigned[5] =
+static const _AFmodule * const signed2unsigned[5] =
 {
 	NULL,
 	&signed2unsigned1, &signed2unsigned2,
 	&signed2unsigned3, &signed2unsigned4
 };
 
-static _AFmodule *swapbytes[9] =
+static const _AFmodule * const swapbytes[9] =
 {
 	NULL, NULL, &swap2, &swap3, &swap4,
 	NULL, NULL, NULL, &swap8
@@ -1419,7 +1419,7 @@
 	if (fmt->sampleFormat == AF_SAMPFMT_TWOSCOMP ||
 		fmt->sampleFormat == AF_SAMPFMT_UNSIGNED)
 	{
-		switch (_af_format_sample_size_uncompressed(fmt, AF_FALSE))
+		switch (_af_format_sample_size_uncompressed(fmt, false))
 		{
 			case 1: return int8_fmt;
 			case 2: return int16_fmt;
@@ -1433,32 +1433,32 @@
 	return -1;
 }
 
-static _AFmodule *to_flt[6] =
+static const _AFmodule * const to_flt[6] =
 {
 	&int2float1, &int2float2, &int2float3, &int2float4,
 	NULL, &double2float
 };
 
-static _AFmodule *to_dbl[6] =
+static const _AFmodule * const to_dbl[6] =
 {
 	&int2double1, &int2double2, &int2double3, &int2double4,
 	&float2double, NULL
 };
 
-static _AFmodule *clip[6] =
+static const _AFmodule * const clip[6] =
 {
 	&clip1, &clip2, &clip3, &clip4,
 	&clipfloat, &clipdouble
 };
 
-static _AFmodule *channelchanges[6] =
+static const _AFmodule * const channelchanges[6] =
 {
 	&channelchange1, &channelchange2, &channelchange3, &channelchange4,
 	&channelchangefloat, &channelchangedouble
 };
 
 /* indices are of type format_code: matrix[infmtcode][outfmtcode] */
-static _AFmodule *convertmatrix[6][6] =
+static const _AFmodule * const convertmatrix[6][6] =
 {
 	/* TO:
 	{
@@ -1511,7 +1511,7 @@
 	}
 };
 
-static _PCMInfo *intmappings[6] =
+static const _PCMInfo * const intmappings[6] =
 {
 	&_af_default_signed_integer_pcm_mappings[1],
 	&_af_default_signed_integer_pcm_mappings[2],
@@ -1636,7 +1636,7 @@
 
 	/* Handle nasty 3-byte input cases. */
 
-	insampbytes = _af_format_sample_size_uncompressed(&in, AF_FALSE);
+	insampbytes = _af_format_sample_size_uncompressed(&in, false);
 
 	if (isinteger(infc) && insampbytes == 3)
 	{
@@ -1729,8 +1729,8 @@
 		out.pcm.maxClip = out.pcm.intercept + out.pcm.slope;
 	}
 
-	already_clipped_output = AF_FALSE;
-	already_transformed_output = AF_FALSE;
+	already_clipped_output = false;
+	already_transformed_output = false;
 
 	/*
 		We need to perform a transformation (in floating point)
@@ -1832,8 +1832,8 @@
 		*/
 		if (isfloating(infc) && isinteger(outfc)) /* "float"->"int" */
 		{
-			already_clipped_output = AF_TRUE;
-			already_transformed_output = AF_TRUE;
+			already_clipped_output = true;
+			already_transformed_output = true;
 		}
 		addmod(&current, initpcmmod(convertmatrix[infc][outfc],
 			&in.pcm, &out.pcm));
@@ -1876,7 +1876,7 @@
 
 	/* Make data unsigned if neccessary. */
 
-	outsampbytes = _af_format_sample_size_uncompressed(&out, AF_FALSE);
+	outsampbytes = _af_format_sample_size_uncompressed(&out, false);
 
 	if (out.sampleFormat == AF_SAMPFMT_UNSIGNED)
 		addmod(&current, _AFnewmodinst(signed2unsigned[outsampbytes]));
@@ -1962,11 +1962,11 @@
 	if (track->ms.nmodules == 1 &&
 		track->v.compressionType == AF_COMPRESSION_NONE &&
 		track->f.compressionType == AF_COMPRESSION_NONE)
-		track->ms.mustuseatomicnvframes = AF_FALSE;
+		track->ms.mustuseatomicnvframes = false;
 	else
-		track->ms.mustuseatomicnvframes = AF_TRUE;
+		track->ms.mustuseatomicnvframes = true;
 #else
-	track->ms.mustuseatomicnvframes = AF_TRUE;
+	track->ms.mustuseatomicnvframes = true;
 #endif
 
 	return AF_SUCCEED;
@@ -2003,7 +2003,7 @@
 			if (mod->valid && !mod->free_on_close && mod->mod->free)
 			{
 				(*mod->mod->free)(mod);
-				mod->valid = AF_FALSE;
+				mod->valid = false;
 			}
 		}
 
@@ -2050,7 +2050,7 @@
 	assert(!track->ms.modulesdirty);
 
 	/* Assume all is well with track. */
-	track->filemodhappy = AF_TRUE;
+	track->filemodhappy = true;
 
 	CHNK(printf("resetmodules running reset1 routines\n"));
 
@@ -2111,7 +2111,7 @@
 	assert(!track->ms.modulesdirty);
 
 	/* Assume all is well with track. */
-	track->filemodhappy = AF_TRUE;
+	track->filemodhappy = true;
 
 	CHNK(printf("_AFsyncmodules running sync1 routines\n"));
 
@@ -2169,7 +2169,7 @@
 
 	It returns AF_FAIL on any kind of error.
 
-	It sets modulesdirty to AF_FALSE if it was able to clean the
+	It sets modulesdirty to false if it was able to clean the
 	modules (although an error still could have occurred after
 	cleaning them).
 */
@@ -2188,7 +2188,7 @@
 		and valid.
 
 		* track->totalvframes and track->next[fv]frame are set
-		and valid and trk->modulesdirty will be set to AF_FALSE
+		and valid and trk->modulesdirty will be set to false
 		if this function succeeds.
 
 		This function also resets the modules on files open for read.
@@ -2227,7 +2227,7 @@
 	*/
 	{
 		int idx = _af_compression_index_from_id(track->v.compressionType);
-		if ((*_af_compression[idx].fmtok)(&track->v) == AF_FALSE)
+		if (!(*_af_compression[idx].fmtok)(&track->v))
 		{
 			return AF_FAIL;
 		}
@@ -2301,7 +2301,7 @@
 	if (modules == AF_NULL)
 		return AF_FAIL;
 	for (i=0; i < MAX_MODULES; i++)
-		modules[i].valid = AF_FALSE;
+		modules[i].valid = false;
 
 	chunks = _af_malloc(sizeof (_AFchunk) * (MAX_MODULES+1));
 	if (chunks == AF_NULL)
@@ -2375,7 +2375,7 @@
 	*/
 
 	/* filemod reports error here */
-	track->filemodhappy = AF_TRUE;
+	track->filemodhappy = true;
 	maxbufsize = 0;
 
 	if (h->access == _AF_READ_ACCESS)
@@ -2389,7 +2389,7 @@
 
 			/* check bufsize needed for current output chunk */
 
-			bufsize = outc->nframes * _af_format_frame_size(&outc->f, AF_TRUE);
+			bufsize = outc->nframes * _af_format_frame_size(&outc->f, true);
 			if (bufsize > maxbufsize)
 			maxbufsize = bufsize;
 
@@ -2424,7 +2424,7 @@
 		{
 			_AFmoduleinst *filemod = &track->ms.module[0];
 			bufsize = filemod->inc->nframes *
-				_af_format_frame_size(&filemod->outc->f, AF_TRUE);
+				_af_format_frame_size(&filemod->outc->f, true);
 			if (bufsize > maxbufsize)
 				maxbufsize = bufsize;
 		}
@@ -2440,7 +2440,7 @@
 
 			/* Check bufsize needed for current input chunk. */
 
-			bufsize = inc->nframes * _af_format_frame_size(&inc->f, AF_TRUE);
+			bufsize = inc->nframes * _af_format_frame_size(&inc->f, true);
 			if (bufsize > maxbufsize)
 				maxbufsize = bufsize;
 
@@ -2475,7 +2475,7 @@
 		{
 			_AFmoduleinst *filemod = &track->ms.module[track->ms.nmodules-1];
 			bufsize = filemod->outc->nframes *
-			_af_format_frame_size(&filemod->inc->f, AF_TRUE);
+			_af_format_frame_size(&filemod->inc->f, true);
 			if (bufsize > maxbufsize)
 				maxbufsize = bufsize;
 		}
@@ -2550,7 +2550,7 @@
 
 	/*
 		Hooray!  The modules are now in a completely valid state.
-		But we can't set track->ms.modulesdirty to AF_FALSE yet...
+		But we can't set track->ms.modulesdirty to false yet...
 
 		track->totalvframes and track->next[fv]frame have not yet been
 		set to a valid state.
@@ -2587,7 +2587,7 @@
 			are reported but not critical.
 		*/
 
-		track->ms.modulesdirty = AF_FALSE;
+		track->ms.modulesdirty = false;
 
 		/* Set up for next time. */
 		track->ms.old_f_rate = track->f.sampleRate;
@@ -2626,7 +2626,7 @@
 			are reported but not critical.
 		*/
 
-		track->ms.modulesdirty = AF_FALSE;
+		track->ms.modulesdirty = false;
 
 		/* Set up for next time. */
 		track->ms.old_f_rate = track->f.sampleRate;
@@ -2681,23 +2681,23 @@
 	/* HACK: see private.h for a description of this hack */
 	track->taper = 10;
 	track->dynamic_range = 100;
-	track->ratecvt_filter_params_set = AF_TRUE;
+	track->ratecvt_filter_params_set = true;
 
 	track->ms.nmodules = 0;
 	track->ms.module = NULL;
 	track->ms.chunk = NULL;
 	track->ms.buffer = NULL;
 
-	track->ms.modulesdirty = AF_TRUE;
+	track->ms.modulesdirty = true;
 
-	track->ms.filemodinst.valid = AF_FALSE;
-	track->ms.filemod_rebufferinst.valid = AF_FALSE;
+	track->ms.filemodinst.valid = false;
+	track->ms.filemod_rebufferinst.valid = false;
 
-	track->ms.rateconvertinst.valid = AF_FALSE;
-	track->ms.rateconvert_rebufferinst.valid = AF_FALSE;
+	track->ms.rateconvertinst.valid = false;
+	track->ms.rateconvert_rebufferinst.valid = false;
 
 	/* bogus value in case of bad code */
-	track->ms.mustuseatomicnvframes = AF_TRUE;
+	track->ms.mustuseatomicnvframes = true;
 
 	/* old_f_rate and old_v_rate MUST be set to <= 0 here. */
 	track->ms.old_f_rate = -1;
diff -Nru audiofile-0.2.6/libaudiofile/modules.h audiofile-0.2.7/libaudiofile/modules.h
--- audiofile-0.2.6/libaudiofile/modules.h	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/modules.h	2010-03-17 10:10:38.000000000 +0100
@@ -29,19 +29,15 @@
 #include <config.h>
 #endif
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
-#include <sys/types.h>
+#include <stdint.h>
 
 #include "audiofile.h"
 #include "afinternal.h"
 
-typedef u_int8_t uchar1;
-typedef u_int16_t uchar2;
-typedef u_int32_t uchar3;
-typedef u_int32_t uchar4;
+typedef uint8_t uchar1;
+typedef uint16_t uchar2;
+typedef uint32_t uchar3;
+typedef uint32_t uchar4;
 
 typedef int8_t schar1;
 typedef int16_t schar2;
@@ -102,7 +98,7 @@
 void _AFfreemodspec (_AFmoduleinst *i);
 
 /* _AFnewmodinst returns a structure, not a pointer. */
-_AFmoduleinst _AFnewmodinst (_AFmodule *mod);
+_AFmoduleinst _AFnewmodinst (const _AFmodule *mod);
 
 status _AFinitmodules (AFfilehandle h, _Track *trk);
 status _AFsetupmodules (AFfilehandle h, _Track *trk);
diff -Nru audiofile-0.2.6/libaudiofile/next.c audiofile-0.2.7/libaudiofile/next.c
--- audiofile-0.2.6/libaudiofile/next.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/next.c	2010-03-19 04:03:58.000000000 +0100
@@ -30,15 +30,11 @@
 #endif
 
 #include <assert.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
 #include "next.h"
 #include "audiofile.h"
 #include "afinternal.h"
@@ -47,7 +43,7 @@
 #include "setup.h"
 #include "byteorder.h"
 
-int _af_next_compression_types[_AF_NEXT_NUM_COMPTYPES] =
+const int _af_next_compression_types[_AF_NEXT_NUM_COMPTYPES] =
 {
 	AF_COMPRESSION_G711_ULAW,
 	AF_COMPRESSION_G711_ALAW
@@ -57,9 +53,9 @@
 {
 	_AF_VALID_FILESETUP,	/* valid */
 	AF_FILE_NEXTSND,	/* fileFormat */
-	AF_TRUE,		/* trackSet */
-	AF_TRUE,		/* instrumentSet */
-	AF_TRUE,		/* miscellaneousSet */
+	true,			/* trackSet */
+	true,			/* instrumentSet */
+	true,			/* miscellaneousSet */
 	1,			/* trackCount */
 	NULL,			/* tracks */
 	0,			/* instrumentCount */
@@ -70,7 +66,7 @@
 
 status _af_next_read_init (AFfilesetup setup, AFfilehandle file)
 {
-	u_int32_t	id, offset, length, encoding, sampleRate, channelCount;
+	uint32_t	id, offset, length, encoding, sampleRate, channelCount;
 	_Track		*track;
 
 	assert(file != NULL);
@@ -92,17 +88,11 @@
 	af_fread(&id, 4, 1, file->fh);
 	assert(!memcmp(&id, ".snd", 4));
 
-	af_fread(&offset, 4, 1, file->fh);
-	af_fread(&length, 4, 1, file->fh);
-	af_fread(&encoding, 4, 1, file->fh);
-	af_fread(&sampleRate, 4, 1, file->fh);
-	af_fread(&channelCount, 4, 1, file->fh);
-
-	offset = BENDIAN_TO_HOST_INT32(offset);
-	length = BENDIAN_TO_HOST_INT32(length);
-	encoding = BENDIAN_TO_HOST_INT32(encoding);
-	sampleRate = BENDIAN_TO_HOST_INT32(sampleRate);
-	channelCount = BENDIAN_TO_HOST_INT32(channelCount);
+	af_read_uint32_be(&offset, file->fh);
+	af_read_uint32_be(&length, file->fh);
+	af_read_uint32_be(&encoding, file->fh);
+	af_read_uint32_be(&sampleRate, file->fh);
+	af_read_uint32_be(&channelCount, file->fh);
 
 #ifdef DEBUG
 	printf("id, offset, length, encoding, sampleRate, channelCount:\n"
@@ -172,7 +162,8 @@
 
 	track->f.sampleRate = sampleRate;
 	track->f.channelCount = channelCount;
-	track->totalfframes = length / _af_format_frame_size(&track->f, AF_FALSE);
+	int frameSize = _af_format_frame_size(&track->f, false);
+	track->totalfframes = length / frameSize;
 
 #ifdef DEBUG
 	printf("_af_next_read_init\n");
@@ -185,14 +176,14 @@
 
 bool _af_next_recognize (AFvirtualfile *fh)
 {
-	u_int8_t	buffer[4];
+	uint8_t	buffer[4];
 
 	af_fseek(fh, 0, SEEK_SET);
 
 	if (af_fread(buffer, 1, 4, fh) != 4 || memcmp(buffer, ".snd", 4) != 0)
-		return AF_FALSE;
+		return false;
 
-	return AF_TRUE;
+	return true;
 }
 
 AFfilesetup _af_next_complete_setup (AFfilesetup setup)
@@ -262,5 +253,5 @@
 		return AF_NULL_FILESETUP;
 	}
 
-	return _af_filesetup_copy(setup, &_af_next_default_filesetup, AF_FALSE);
+	return _af_filesetup_copy(setup, &_af_next_default_filesetup, false);
 }
diff -Nru audiofile-0.2.6/libaudiofile/nextwrite.c audiofile-0.2.7/libaudiofile/nextwrite.c
--- audiofile-0.2.6/libaudiofile/nextwrite.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/nextwrite.c	2010-03-17 06:31:21.000000000 +0100
@@ -28,14 +28,10 @@
 #include <config.h>
 #endif
 
-#include <stdio.h>
+#include <assert.h>
+#include <stdint.h>
 #include <stdlib.h>
 #include <string.h>
-#include <assert.h>
-
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
 
 #include "audiofile.h"
 #include "afinternal.h"
@@ -46,7 +42,7 @@
 
 status _af_next_update (AFfilehandle file);
 
-static u_int32_t nextencodingtype (_AudioFormat *format);
+static uint32_t nextencodingtype (_AudioFormat *format);
 static status next_write_header (AFfilehandle file);
 
 /* A return value of zero indicates successful synchronisation. */
@@ -60,34 +56,34 @@
 {
 	_Track		*track;
 	int		frameSize;
-	u_int32_t	offset, length, encoding, sampleRate, channelCount;
+	uint32_t	offset, length, encoding, sampleRate, channelCount;
 
 	track = _af_filehandle_get_track(file, AF_DEFAULT_TRACK);
 
-	frameSize = _af_format_frame_size(&track->f, AF_FALSE);
+	frameSize = _af_format_frame_size(&track->f, false);
 
-	offset = HOST_TO_BENDIAN_INT32(track->fpos_first_frame);
-	length = HOST_TO_BENDIAN_INT32(track->totalfframes * frameSize);
-	encoding = HOST_TO_BENDIAN_INT32(nextencodingtype(&track->f));
-	sampleRate = HOST_TO_BENDIAN_INT32(track->f.sampleRate);
-	channelCount = HOST_TO_BENDIAN_INT32(track->f.channelCount);
+	offset = track->fpos_first_frame;
+	length = track->totalfframes * frameSize;
+	encoding = nextencodingtype(&track->f);
+	sampleRate = track->f.sampleRate;
+	channelCount = track->f.channelCount;
 
 	if (af_fseek(file->fh, 0, SEEK_SET) != 0)
 		_af_error(AF_BAD_LSEEK, "bad seek");
 
 	af_fwrite(".snd", 4, 1, file->fh);
-	af_fwrite(&offset, 4, 1, file->fh);
-	af_fwrite(&length, 4, 1, file->fh);
-	af_fwrite(&encoding, 4, 1, file->fh);
-	af_fwrite(&sampleRate, 4, 1, file->fh);
-	af_fwrite(&channelCount, 4, 1, file->fh);
+	af_write_uint32_be(&offset, file->fh);
+	af_write_uint32_be(&length, file->fh);
+	af_write_uint32_be(&encoding, file->fh);
+	af_write_uint32_be(&sampleRate, file->fh);
+	af_write_uint32_be(&channelCount, file->fh);
 
 	return AF_SUCCEED;
 }
 
-static u_int32_t nextencodingtype (_AudioFormat *format)
+static uint32_t nextencodingtype (_AudioFormat *format)
 {
-	u_int32_t	encoding = 0;
+	uint32_t	encoding = 0;
 
 	if (format->compressionType != AF_COMPRESSION_NONE)
 	{
diff -Nru audiofile-0.2.6/libaudiofile/nist.c audiofile-0.2.7/libaudiofile/nist.c
--- audiofile-0.2.6/libaudiofile/nist.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/nist.c	2010-03-17 06:31:21.000000000 +0100
@@ -28,14 +28,11 @@
 #include <config.h>
 #endif
 
-#include <sys/types.h>
+#include <assert.h>
+#include <stdint.h>
 #include <stdio.h>
+#include <stdlib.h>
 #include <string.h>
-#include <assert.h>
-
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
 
 #include "afinternal.h"
 #include "audiofile.h"
@@ -50,9 +47,9 @@
 {
 	_AF_VALID_FILESETUP,	/* valid */
 	AF_FILE_NIST_SPHERE,	/* fileFormat */
-	AF_TRUE,		/* trackSet */
-	AF_TRUE,		/* instrumentSet */
-	AF_TRUE,		/* miscellaneousSet */
+	true,			/* trackSet */
+	true,			/* instrumentSet */
+	true,			/* miscellaneousSet */
 	1,			/* trackCount */
 	NULL,			/* tracks */
 	0,			/* instrumentCount */
@@ -63,18 +60,18 @@
 
 bool _af_nist_recognize (AFvirtualfile *fh)
 {
-	u_int8_t	buffer[16];
+	uint8_t	buffer[16];
 
 	af_fseek(fh, 0, SEEK_SET);
 
 	if (af_fread(buffer, 16, 1, fh) != 1)
-		return AF_FALSE;
+		return false;
 
 	/* Check to see if the file's magic number matches. */
 	if (memcmp(buffer, "NIST_1A\n   1024\n", 16) == 0)
-		return AF_TRUE;
+		return true;
 
-	return AF_FALSE;
+	return false;
 }
 
 AFfilesetup _af_nist_complete_setup (AFfilesetup setup)
@@ -164,7 +161,7 @@
 		return AF_NULL_FILESETUP;
 	}
 
-	return _af_filesetup_copy(setup, &_af_nist_default_filesetup, AF_TRUE);
+	return _af_filesetup_copy(setup, &_af_nist_default_filesetup, true);
 }
 
 static bool nist_header_read_int (char *header, char *key, int *val)
@@ -178,10 +175,10 @@
 	{
 		snprintf(scanstring, 256, "\n%s -i %%d", key);
 		sscanf(cp, scanstring, val);
-		return AF_TRUE;
+		return true;
 	}
 
-	return AF_FALSE;
+	return false;
 }
 
 static bool nist_header_read_string (char *header, char *key, int *length, char *val)
@@ -195,10 +192,10 @@
 	{
 		snprintf(scanstring, 256, "\n%s -s%%d %%79s", key);
 		sscanf(cp, scanstring, length, val);
-		return AF_TRUE;
+		return true;
 	}
 
-	return AF_FALSE;
+	return false;
 }
 
 status _af_nist_read_init (AFfilesetup setup, AFfilehandle handle)
diff -Nru audiofile-0.2.6/libaudiofile/nistwrite.c audiofile-0.2.7/libaudiofile/nistwrite.c
--- audiofile-0.2.6/libaudiofile/nistwrite.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/nistwrite.c	2010-03-17 06:31:21.000000000 +0100
@@ -30,14 +30,10 @@
 #endif
 
 #include <assert.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdio.h>
 #include <string.h>
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
 #include "afinternal.h"
 #include "audiofile.h"
 #include "util.h"
@@ -49,7 +45,7 @@
 
 static char *sample_byte_format (_AudioFormat *fmt)
 {
-	int	nbytes = _af_format_sample_size(fmt, AF_FALSE);
+	int	nbytes = _af_format_sample_size(fmt, false);
 
 	assert(nbytes == 1 || nbytes == 2);
 
@@ -102,8 +98,8 @@
 		track->f.channelCount,
 		(int) (track->totalfframes * track->f.channelCount),
 		(int) track->f.sampleRate,
-		(int) _af_format_sample_size(&track->f, AF_FALSE),
-		(int) _af_format_sample_size(&track->f, AF_FALSE), sample_byte_format(&track->f),
+		(int) _af_format_sample_size(&track->f, false),
+		(int) _af_format_sample_size(&track->f, false), sample_byte_format(&track->f),
 		track->f.sampleWidth,
 		(int) strlen(sample_coding(&track->f)), sample_coding(&track->f));
 
diff -Nru audiofile-0.2.6/libaudiofile/openclose.c audiofile-0.2.7/libaudiofile/openclose.c
--- audiofile-0.2.6/libaudiofile/openclose.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/openclose.c	2010-03-17 09:43:40.000000000 +0100
@@ -45,7 +45,7 @@
 #define SETBINARYMODE(x)
 #endif /* WIN32 || __CYGWIN__ */
 
-extern _Unit _af_units[];
+extern const _Unit _af_units[];
 
 static void freeFileHandle (AFfilehandle filehandle);
 static void freeInstParams (AFPVu *values, int fileFormat);
@@ -74,7 +74,7 @@
 	af_fseek(vf, curpos, SEEK_SET);
 
 	if (implemented != NULL)
-		*implemented = AF_FALSE;
+		*implemented = false;
 
 	return AF_FILE_UNKNOWN;
 }
@@ -307,14 +307,14 @@
 	AFfilehandle *file, AFfilesetup filesetup)
 {
 	int	fileFormat = AF_FILE_UNKNOWN;
-	bool	implemented = AF_TRUE;
+	int	implemented = true;
 	char	*formatName;
 	status	(*initfunc) (AFfilesetup, AFfilehandle);
 
 	int		userSampleFormat = 0;
 	double		userSampleRate = 0.0;
 	_PCMInfo	userPCM;
-	bool		userFormatSet = AF_FALSE;
+	bool		userFormatSet = false;
 
 	int	t;
 
@@ -355,7 +355,7 @@
 
 	formatName = _af_units[fileFormat].name;
 
-	if (implemented == AF_FALSE)
+	if (!implemented)
 	{
 		_af_error(AF_BAD_NOT_IMPLEMENTED,
 			"%s format not currently supported", formatName);
@@ -379,7 +379,7 @@
 		userSampleFormat = filesetup->tracks[0].f.sampleFormat;
 		userPCM = filesetup->tracks[0].f.pcm;
 		userSampleRate = filesetup->tracks[0].f.sampleRate;
-		userFormatSet = AF_TRUE;
+		userFormatSet = true;
 		if ((completesetup = _af_units[fileFormat].completesetup(filesetup)) == NULL)
 			return AF_FAIL;
 	}
diff -Nru audiofile-0.2.6/libaudiofile/pcm.c audiofile-0.2.7/libaudiofile/pcm.c
--- audiofile-0.2.6/libaudiofile/pcm.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/pcm.c	2010-03-17 09:43:40.000000000 +0100
@@ -33,7 +33,7 @@
 #include "pcm.h"
 #include "util.h"
 
-_PCMInfo _af_default_signed_integer_pcm_mappings[] =
+const _PCMInfo _af_default_signed_integer_pcm_mappings[] =
 {
 	{0, 0, 0, 0},
 	{SLOPE_INT8, 0, MIN_INT8, MAX_INT8},
@@ -42,7 +42,7 @@
 	{SLOPE_INT32, 0, MIN_INT32, MAX_INT32}
 };
 
-_PCMInfo _af_default_unsigned_integer_pcm_mappings[] =
+const _PCMInfo _af_default_unsigned_integer_pcm_mappings[] =
 {
 	{0, 0, 0, 0},
 	{SLOPE_INT8, INTERCEPT_U_INT8, 0, MAX_U_INT8},
@@ -51,10 +51,10 @@
 	{SLOPE_INT32, INTERCEPT_U_INT32, 0, MAX_U_INT32}
 };
 
-_PCMInfo _af_default_float_pcm_mapping =
+const _PCMInfo _af_default_float_pcm_mapping =
 {1, 0, 0, 0};
 
-_PCMInfo _af_default_double_pcm_mapping =
+const _PCMInfo _af_default_double_pcm_mapping =
 {1, 0, 0, 0};
 
 /*
@@ -93,7 +93,7 @@
 	track->v.pcm.minClip = minClip;
 	track->v.pcm.maxClip = maxClip;
 
-	track->ms.modulesdirty = AF_TRUE;
+	track->ms.modulesdirty = true;
 
 	return 0;
 }
@@ -125,7 +125,7 @@
 	track->f.pcm.minClip = minClip;
 	track->f.pcm.maxClip = maxClip;
 
-	track->ms.modulesdirty = AF_TRUE;
+	track->ms.modulesdirty = true;
 
 	return 0;
 }
diff -Nru audiofile-0.2.6/libaudiofile/query.c audiofile-0.2.7/libaudiofile/query.c
--- audiofile-0.2.6/libaudiofile/query.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/query.c	2010-03-17 09:43:40.000000000 +0100
@@ -43,8 +43,8 @@
 #include "compression.h"
 #include "instrument.h"
 
-extern _Unit _af_units[];
-extern _CompressionUnit _af_compression[];
+extern const _Unit _af_units[];
+extern const _CompressionUnit _af_compression[];
 
 AUpvlist _afQueryFileFormat (int arg1, int arg2, int arg3, int arg4);
 AUpvlist _afQueryInstrument (int arg1, int arg2, int arg3, int arg4);
@@ -435,7 +435,7 @@
 		case AF_QUERY_ID_COUNT:
 			count = 0;
 			for (i = 0; i < _AF_NUM_COMPRESSION; i++)
-				if (_af_compression[i].implemented == AF_TRUE)
+				if (_af_compression[i].implemented)
 					count++;
 			return _af_pv_long(count);
 
@@ -458,7 +458,7 @@
 
 		case AF_QUERY_NATIVE_SAMPWIDTH:
 			index = _af_compression_index_from_id(arg2);
-			return _af_pv_long(_af_compression[_af_compression_index_from_id(arg2)].nativeSampleWidth);
+			return _af_pv_long(_af_compression[index].nativeSampleWidth);
 
 		case AF_QUERY_LABEL:
 			index = _af_compression_index_from_id(arg2);
